#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

#define f(n) for(int i = 0; i < n; i++)

int main () {
    int a, b, k, r = 0;
    cin >> a >> b >> k;
    int p = a;

    while (p < b) {
        if ((p + 2) <= b && ((p + 2) % k) != 0) {
            p += 2;
            r++;
        }
        if (((p + 2) % k) == 0 || (p + 1) == b) {
            p+=3;
            r+=2;
        }
    }

    cout << r;

    return 0;
}



